$(function () {
    //绑定失去焦点事件
    $("#fname").blur(fnameCheck);
    $("#lname").blur(lnameCheck);
    $("#sname").blur(snameCheck);
    $("#pass").blur(passCheck);
    $("#rpass").blur(rpassCheck);
    $("#email").blur(emailCheck);




    function fnameCheck() {
        var $fname = $("#fname");
        var $DivFname = $("#DivFname");
        $DivFname.html("");
        if ($fname.val() == "") {
            $DivFname.html("名字不能为空");
            return false;
        }
        for (var i = 0; i < $fname.val().length; i++) {
            var j = $fname.val().substring(i, i + 1)
            if (j >= 0) {
                $DivFname.html("名字中不能包含数字");
                return false;
            }
        }
        return true;
    }

    function lnameCheck() {
        var $lname = $("#lname");
        var $DivFname = $("#DivName");
        $DivFname.html("");
        if ($lname.val() == "") {
            $DivFname.html("姓氏不能为空");
            return false;
        }
        for (var i = 0; i < $lname.val().length; i++) {
            var j = $lname.val().substring(i, i + 1)
            if (j >= 0) {
                $DivFname.html("姓氏中不能包含数字");
                return false;
            }
        }
        return true;
    }
    function snameCheck() {

    }
    function passCheck() {
        var $pwd = $("#pass");
        var $divID = $("#DivPwd");
        $divID.html("");
        if ($pwd.val() == "") {
            $divID.html("密码不能为空");
            return false;
        }
        if ($pwd.val().length < 6) {
            $divID.html("密码必须等于或大于6个字符");
            return false;
        }
        return true;
    }
    function rpassCheck() {
        var $pwd = $("#pass"); //输入密码
        var $repwd = $("#rpass");  //再次输入密码
        var $divID = $("#DivRepwd");
        $divID.html("");
        if ($pwd.val() == "") {
            $divID.html("确认密码不能为空");
            return false;
        }
        if ($pwd.val() != $repwd.val()) {
            $divID.html("两次输入的密码不一致");
            return false;
        }
        return true;
    }
    function emailCheck() {
        var $mail = $("#email");
        var $divID = $("#DivEmail");
        $divID.html("");
        if ($mail.val() == "") {
            $divID.html("Email不能为空");
            return false;
        }
        if ($mail.val().indexOf("@") == -1) {
            $divID.html("Email格式不正确，必须包含@");
            return false;
        }
        if ($mail.val().indexOf(".") == -1) {
            $divID.html("Email格式不正确，必须包含.");
            return false;
        }
        return true;
    }

});